<ion-header class="ion-no-border">
    <ion-toolbar color="principal">
        <app-header></app-header>
        <ion-title>login</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-card class="card">
        <ion-card-header>
            <ion-card-title> Bienvenidos </ion-card-title>
            <ion-card-subtitle> Iniciar sesión </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <form
                [formGroup]="loginForm"
                (ngSubmit)="loginUser(loginForm.value)"
            >
                <ion-item>
                    <ion-icon name="mail-outline"></ion-icon>
                    <ion-input
                        formControlName="email"
                        placeholder="Email*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error ion-text-center">
                    <ng-container
                        *ngFor="let validation of validation_message.email"
                    >
                        <div
                            *ngIf="loginForm.get('email').hasError(validation.type) && 
                  (loginForm.get('email').dirty || 
                  loginForm.get('email').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>

                <ion-item>
                    <ion-icon name="lock-closed-outline"></ion-icon>
                    <ion-input
                        type="password"
                        formControlName="password"
                        placeholder="Password*"
                        color="black"
                    ></ion-input>
                </ion-item>

                <div class="validation-error ion-text-center">
                    <ng-container
                        *ngFor="let validation of validation_message.password"
                    >
                        <div
                            *ngIf="loginForm.get('password').hasError(validation.type) && 
                  (loginForm.get('password').dirty || 
                  loginForm.get('password').touched)"
                        >
                            {{validation.message}}
                        </div>
                    </ng-container>
                </div>
                <div linespace></div>
                <div class="validation-error ion-text-center">
                    {{errorMessage}}
                </div>

                <ion-button
                    color="warning"
                    expand="block"
                    shape="round"
                    fill="solid"
                    [disabled]="(!loginForm.valid) && false"
                    type="submit"
                    >Iniciar sesión</ion-button
                >

                <ion-label
                    class="forget-password"
                    fill="clear"
                    (click)="goToPasswordReset()"
                    >Olvidaste la contraseña?</ion-label
                >

                <!--
                        <div class="text-tag">
                        <span>Login vía redes sociales</span>
                    </div>
                    -->

                <div linespace></div>
                <div linespace></div>
                Login vía redes sociales
                <div class="social-btns">
                    <ion-button
                        fill="clear"
                        (click)="authGoogle()"
                        type="submit"
                        ><ion-img src="assets/google.png"></ion-img
                    ></ion-button>
                    <ion-button
                        fill="clear"
                        (click)="authGoogle()"
                        type="submit"
                        ><ion-img src="assets/facebook.png"></ion-img
                    ></ion-button>
                </div>

                <ion-button
                    color="principal"
                    (click)="goToRegister()"
                    expand="block"
                    shape="round"
                    fill="solid"
                    >Regístrate</ion-button
                >

                <ion-text text-center color="medium"
                    ><h6 no-margin class="small">
                        <a (click)="open_modal(true)">Términos y condiciones</a>
                        y
                        <a (click)="open_modal(false)"
                            >Políticas de privacidad</a
                        >
                    </h6></ion-text
                >
            </form>

            <ion-button
                expand="block"
                color="secondary"
                (click)="installByUser()"
                shape="round"
            >
                Instalar app
            </ion-button>
        </ion-card-content>
    </ion-card>
</ion-content>
